<?php

add_filter( 'bp_modify_page_title', 'my_func_group_breadcrumbs', 10, 4 );

function my_func_group_breadcrumbs( $processed_title, $title, $sep, $seplocation  ) {
	
	global $bp;
	
 	if( bp_is_active( 'groups' ) && ! empty( $bp->groups->current_group ) ) {
 		
 		/** Remove the name of the group */
		$processed_title = substr( $processed_title, strpos( $processed_title, $sep) );
		
		/** Add the full path to the group */
		$processed_title = bp_group_hierarchy_get_full_name( '|', $bp->groups->current_group) . ' ' . $processed_title;
 	}
	
	return $processed_title;
	
}

?>